daemonize = true
pidfile = "/run/prosody/prosody.pid"
admins = { … }
use_libevent = true;

modules_enabled = {

	-- Additional modules
	"auto_accept_subscriptions"; -- friends automatically accepted
	"csi";                       -- filter activity depending on mobile state
	"filter_chatstates";         -- csi: filter chat states when inactive
	"http_upload";               -- share files in MUCs
	"lastactivity";              -- query users’ idle time
	"mam_adhoc";                 -- manage mam from the client
	"offline_email";             -- get missed messages by email
	"pubsub";                    -- publish-suscribe / lien social
	"smacks";                    -- ignore temporary disconnects
	"throttle_presence";         -- csi: limit presence updates when inactive

	-- Generally required
	"roster";
	"saslauth";
	"tls";
	"dialback";
	"disco";

	-- Not essential, but recommended
	"carbons";
	"pep";
	"private";
	"blocklist";
	"vcard";

	-- Nice to have
	"version";
	"uptime";
	"time";
	"ping";
	"register";
	"mam";

	-- Admin interfaces
	"admin_adhoc";

	-- HTTP modules
	"bosh";
	"websocket";
	"http_files";
	"groups";
}

modules_disabled = {
}

allow_registration = false
c2s_require_encryption = true
s2s_require_encryption = true
s2s_secure_auth = false
authentication = "external"
storage = "sql"
sql = { … }
archive_expires_after = "1w" -- Remove archived messages after 1 week

log = {
	"*syslog"; -- Uncomment this for logging to syslog
}

certificates = "certs"

-- configure bash authentication
external_auth_command = "/etc/prosody/external_auth.sh"

-- hide OS type from mod_version output
hide_os_type = true

-- limit registration
allow_registration = true
whitelist_registration_only = true
registration_whitelist = { '127.0.0.1' }

-- configure HTTP
http_files_dir = "/var/lib/prosody/httpd"
http_paths = {
  websocket = "/xmpp-websocket";
  bosh = "/xmpp-bind";
  files = "/xmpp-shared";
}
http_default_host = "yalis.fr"
http_external_url = "https://yalis.fr/xmpp-"

-- configure uploads
http_upload_file_size_limit = 5 * 1024 * 1024 -- 5MB in bytes

-- configure websockets (ws:localhost:5280/websocket)
cross_domain_websocket = true
consider_websocket_secure = true

-- configure BOSH (http://localhost:5280/bind)
cross_domain_bosh = true
consider_bosh_secure = true

-- configure MAM
default_archive_policy = "roster"
archive_expires_after = "1m"
archive_cleanup_interval = 24 * 60 * 60 -- once a day
muc_log_by_default = true
max_history_messages = 500

-- configure email sending
smtp_from = "xmpp-offline-do-not-reply@yalis.fr"

-- setup the virtual host
VirtualHost "yalis.fr"

-- declare publish-suscribe
Component "jabps.yalis.fr" "pubsub"

-- declare Multi-User Chat
Component "www.yalis.fr" "muc"

VirtualHost "localhost"
